package jp.co.isid.elportal.fileconvert.command.process;

import java.util.TimerTask;

/**
 * プロセスを終了させるクラスです。
 *
 *
 */
class ProcessDestroyer extends TimerTask {

    /** プロセス **/
    private Process _process;

    /**
     * コンストラクタ
     *
     * @param process プロセス
     */
    public ProcessDestroyer(Process process) {
        _process = process;
    }


    /**
     * プロセスを終了します。
     */
    @Override
    public void run() {
        _process.destroy();
    }

}
